# NEWS

------------

## Version Summaries

### Version 1.2.2 - 2023-09-24

-   Minor changes to DESCRIPTION per CRAN maintainer request.

### Version 1.2.1 - 2023-09-23

-   Update to meet current CRAN requirements.

-   Improve man pages

### Version 1.2.0 - 2023-09-23

Bug Fixes

-   `print.mcgibbsit` was incorrectly displaying the total required number of samples.

### Version 1.1.0 - 2012-10-23

Other Changes:

-   Add NAMESPACE file to comply with new CRAN policy

-   Update URLs for references in man page for 'mcgibbsit' function.

### Version 1.0.8 - 2011-08-26

Bug Fixes

-   Update man pages to pass current R CMD check requirements.

------------

## Detailed Changes from Git (2012 - Present)

commit d7c801aeb6b67d39b9d868c274a5ac0b569562a9   
 Author: Gregory R. Warnes [greg\@warnes.net](mailto:greg@warnes.net){.email}   
 Date: Sun Sep 24 00:04:58 2023 -0400

         
* Fix swapped citation URLs in man page.
* Remove duplicate CHANGELOG and NEWS files.
* Improve text of vignette, and add NKC citations.
* Add footnotes explaining 'exchangable' and the reason that the required number of samples can decrease.


commit 3c5ce9fd9ec06feca2f377541a769108cb57c471   
 Author: Gregory R. Warnes [greg\@warnes.net](mailto:greg@warnes.net){.email}   
 Date: Sat Sep 23 23:12:26 2023 -0400

         
* Add example vignette.
* Provide definititon of MCMC on first use.
* Embed the example vignette in `README.md`.
* Use markdown formatting for man pages.


commit f8dd91a17e4a8d8498d2b8941d33399b6a6eb177   
 Author: Gregory R. Warnes [greg\@warnes.net](mailto:greg@warnes.net){.email}   
 Date: Sat Sep 23 22:05:41 2023 -0400

         
* Improve example in README.Rmd.


commit 8a73b56a02afa7dbcda194c57e232a7e83da7779   
 Author: Gregory R. Warnes [greg\@warnes.net](mailto:greg@warnes.net){.email}   
 Date: Sat Sep 23 21:26:57 2023 -0400

         
* Add informative README.Rmd.


commit d5a660c75b0b9242b2f7d15e8895122b573c36c2   
 Author: Gregory R. Warnes [greg\@warnes.net](mailto:greg@warnes.net){.email}   
 Date: Sat Sep 23 20:22:07 2023 -0400

         
* Submitted 1.2.1 to CRAN.


commit 06f3572915934a4164f3d8afe7e9cf3bf28975a5   
 Author: Gregory R. Warnes [greg\@warnes.net](mailto:greg@warnes.net){.email}   
 Date: Sat Sep 23 20:21:25 2023 -0400

         
* Fix issues turned up by the R CMD CHECK for the devel version of R.
* Bump release number.


commit 5c7db74b999ff13c283f068c498955b3f2cc92fd   
 Author: Gregory R. Warnes [greg\@warnes.net](mailto:greg@warnes.net){.email}   
 Date: Sat Sep 23 19:36:32 2023 -0400

         
* Add `cran-comments.md` for release 1.2.0.


commit 3f525a584a230b992d12cc9cf0b022d944afd81a   
 Author: Gregory R. Warnes [greg\@warnes.net](mailto:greg@warnes.net){.email}   
 Date: Sat Sep 23 19:34:39 2023 -0400

         
* Update DESCRIPTION and NEWS for release 1.2.0.


commit 65213a3d115394cca72b3ce6bfdef6997a72d28c   
 Author: Gregory R. Warnes [greg\@warnes.net](mailto:greg@warnes.net){.email}   
 Date: Sat Sep 23 19:32:22 2023 -0400

         
* Add new github repo to package DESCRIPTION.


commit a730cbc40eadab22ea1885d2d85aa8d2a73e1ab9   
 Author: Gregory R. Warnes [greg\@warnes.net](mailto:greg@warnes.net){.email}   
 Date: Sat Sep 23 19:27:59 2023 -0400

         
* Fix importFrom statements.
* Add missing parameter documentation for `print.mcgibbsit`.
* Improve man page examples.
* Improve code formatting.


commit c0ffc379294b9cbadf00bbe45998e476ea511943   
 Author: Gregory R. Warnes [greg\@warnes.net](mailto:greg@warnes.net){.email}   
 Date: Sat Sep 23 18:18:45 2023 -0400

         
* Convert to using Roxygen2 for documentation, exports, and imports.
* Use `renv` to manage installation of dependencies.


commit fde41b7718349b7b8a810111a0af2a27becbf5d5   
 Author: Gregory R. Warnes [greg\@warnes.net](mailto:greg@warnes.net){.email}   
 Date: Tue Oct 23 00:00:00 2012 +0000

         
* version 1.1.0


## Detailed Changes from SVN (2003 - 2011)

2011-08-26 warnes

         
*  [r74] inst/ChangeLog, inst/NEWS: Remove ChangeLog from SVN
*  [r73] DESCRIPTION, R/read.mcmc.R, man/mcgibbsit.Rd, man/read.mcmc.Rd: Update to meet current R CMD check reqirements
*  [r72] ChangeLog, DESCRIPTION, NEWS, inst, inst/ChangeLog, inst/NEWS, man/mcgibbsit.Rd, man/read.mcmc.Rd: Update Greg's email address


2005-07-21 warnes

         
*  [r70] man/read.mcmc.Rd: Add better example.


2005-07-11 warnes

         
*  [r68] DESCRIPTION, R/read.mcmc.R, man/read.mcmc.Rd: For efficiency, use 'scan' to load the data instead of read.table.


2005-05-23 warnes

         
*  [r64] man/read.mcmc.Rd: Update manpage to match code.


2005-05-20 warnes

         
*  [r61] R/read.mcmc.R: Fix bug in calculcation of end when thin!=1.


2005-03-15 r_burrows

         
*  [r56] R/read.mcmc.R: added provision for reading NKC output with more than one component
*  [r55] R/mcgibbsit.R: removed extra "" on line 250


2005-03-13 warnes

         
*  [r54] DESCRIPTION: Update version information for release.
*  [r53] R/mcgibbsit.R: Fix bug pointed out and diagnosed by Bill Northcott.


2004-12-08 warnes

         
*  [r43] DESCRIPTION: Update version number for release


2004-08-03 warnes

         
*  [r41] DESCRIPTION: *** empty log message ***
*  [r40] man/mcgibbsit.Rd: Spelling and grammer corrections
*  [r39] R/mcgibbsit.R: Updated for new version of CODA.


2003-08-20 warnes

         
*  [r29] R/read.mcmc.R, man/read.mcmc.Rd:    
* Updated to fix syntax problem
*  [r26] ., DESCRIPTION, R, R/mcgibbsit.R, R/read.mcmc.R, R/zzz.R,
  man, man/mcgibbsit.Rd, man/read.mcmc.Rd: Initial revision

